Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# JPEGImage2 Class Reference

Definition of a class for JPEG-compressed images. More...

`#include <JPEGImage2.h>`

Inheritance diagram for JPEGImage2:

[legend]
Collaboration diagram for JPEGImage2:

[legend]
List of all members.

## Public Member Functions
| JPEGImage2 ()
| Empty constructor.
| JPEGImage2 (const Image &src)
| Constructs a JPEG image from an image.
JPEGImage2 & | operator= (const Image &src)
| Assignment operator.
void | toImage (Image &dest) const
| Uncompress image.
## Static Private Member Functions
Handlers for JPEG-compression
void | onDestInit (j_compress_ptr cInfo)
int | onDestEmpty (j_compress_ptr)
void | onDestTerm (j_compress_ptr cInfo)
void | onSrcSkip (j_decompress_ptr cInfo, long numBytes)
int | onSrcEmpty (j_decompress_ptr)
void | onSrcIgnore (j_decompress_ptr)
## Private Attributes
unsigned | size
| The size of the JPEG image.
## Friends
Out & | operator<< (Out &stream, const JPEGImage2 &image)
| Streaming operator that writes a JPEGImage2 to a stream.
In & | operator>> (In &stream, JPEGImage2 &image)
| Streaming operator that reads a JPEGImage2 from a stream.

## Detailed Description

Definition of a class for JPEG-compressed images.

Definition at line 41 of file JPEGImage2.h.

## Constructor & Destructor Documentation

JPEGImage2::JPEGImage2 | ( |  | ) | `[inline]`

| Empty constructor. Definition at line 71 of file JPEGImage2.h.

JPEGImage2::JPEGImage2 | ( | const Image & | src | ) |

  | Constructs a JPEG image from an image. Parameters:
  src | The image used as template.
Definition at line 10 of file JPEGImage2.cpp.

## Member Function Documentation

void JPEGImage2::onDestInit | ( | j_compress_ptr | cInfo | ) | `[static, private]`

| Definition at line 123 of file JPEGImage2.cpp. References Image::cameraInfo, Image::image, CameraInfo::resolutionHeight, and CameraInfo::resolutionWidth.

int JPEGImage2::onDestEmpty | ( | j_compress_ptr |  | ) | `[static, private]`

| Definition at line 130 of file JPEGImage2.cpp. References ASSERT.

void JPEGImage2::onDestTerm | ( | j_compress_ptr | cInfo | ) | `[static, private]`

| Definition at line 136 of file JPEGImage2.cpp. References Image::image, and size.

void JPEGImage2::onSrcSkip | ( | j_decompress_ptr | cInfo,
|  | long | numBytes
| ) | `[static, private]`

| Definition at line 142 of file JPEGImage2.cpp.

int JPEGImage2::onSrcEmpty | ( | j_decompress_ptr |  | ) | `[static, private]`

| Definition at line 146 of file JPEGImage2.cpp. References ASSERT.

void JPEGImage2::onSrcIgnore | ( | j_decompress_ptr |  | ) | `[static, private]`

| Definition at line 152 of file JPEGImage2.cpp.

JPEGImage2 & JPEGImage2::operator= | ( | const Image & | src | ) |

  | Assignment operator. Parameters:
  src | The image used as template.
Returns: The resulting JPEG image. Reimplemented from Image. Definition at line 15 of file JPEGImage2.cpp. References Image::cameraInfo, cameraResolutionHeight_ERS7, cameraResolutionWidth_ERS7, Image::colorTable, Image::frameNumber, Image::image, CameraInfo::resolutionHeight, and CameraInfo::resolutionWidth.

void JPEGImage2::toImage | ( | Image & | dest | ) | const

  | Uncompress image. Parameters:
  dest | Will receive the uncompressed image.
Definition at line 69 of file JPEGImage2.cpp. References Image::cameraInfo, cameraResolutionHeight_ERS210, cameraResolutionWidth_ERS210, Image::frameNumber, Image::image, CameraInfo::resolutionHeight, and CameraInfo::resolutionWidth.

## Friends And Related Function Documentation

Out& operator<< | ( | Out & | stream,
|  | const JPEGImage2 & | image
| ) | `[friend]`

  | Streaming operator that writes a JPEGImage2 to a stream. Parameters:
  stream | The stream to write on.
  image | The JPEGImage2 object.
Returns: The stream. Definition at line 156 of file JPEGImage2.cpp.

In& operator>> | ( | In & | stream,
|  | JPEGImage2 & | image
| ) | `[friend]`

  | Streaming operator that reads a JPEGImage2 from a stream. Parameters:
  stream | The stream to read from.
  image | The JPEGImage2 object.
Returns: The stream. Definition at line 164 of file JPEGImage2.cpp.

## Member Data Documentation

unsigned JPEGImage2::size`[private]`

| The size of the JPEG image. Definition at line 54 of file JPEGImage2.h. Referenced by onDestTerm(), operator<<(), and operator>>().

The documentation for this class was generated from the following files:

- Representations/Perception/JPEGImage2.h
- Representations/Perception/JPEGImage2.cpp